Installing vagrant landrush plugin on Mac OSX ‘El Capitan’ with homebrew

I tried to install the vagrant landrush plugin today, but received the following error from vagrant plugin install landrush

17:38 $ vagrant plugin install landrush
Installing the 'landrush' plugin. This can take a few minutes...
Bundler, the underlying system Vagrant uses to install plugins,
reported an error. The error is shown below. These errors are usually
caused by misconfigured plugin installations or transient network
issues. The error from Bundler is:
 
An error occurred while installing eventmachine (1.0.7), and Bundler cannot continue.
Make sure that `gem install eventmachine -v '1.0.7'` succeeds before bundling.
 
Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.
 
    /opt/vagrant/embedded/bin/ruby extconf.rb
checking for rb_trap_immediate in ruby.h,rubysig.h... no
checking for rb_thread_blocking_region()... yes
checking for ruby/thread.h... yes
checking for rb_thread_call_without_gvl() in ruby/thread.h... yes
checking for inotify_init() in sys/inotify.h... no
checking for __NR_inotify_init in sys/syscall.h... no
checking for writev() in sys/uio.h... yes
checking for rb_thread_fd_select()... yes
checking for rb_fdset_t in ruby/intern.h... yes
checking for rb_wait_for_single_fd()... yes
checking for rb_enable_interrupt()... no
checking for rb_time_new()... yes
checking for sys/event.h... yes
checking for sys/queue.h... yes
checking for clock_gettime()... no
checking for gethrtime()... no
creating Makefile
 
make "DESTDIR="
compiling binder.cpp
warning: unknown warning option '-Werror=unused-command-line-argument-hard-error-in-future'; did you mean '-Werror=unused-command-line-argument'? [-Wunknown-warning-option]
In file included from binder.cpp:20:
./project.h:116:10: fatal error: 'openssl/ssl.h' file not found
#include <openssl/ssl.h>
         ^
1 warning and 1 error generated.
make: *** [binder.o] Error 1
 
 
Gem files will remain installed in /Users/buddy/.vagrant.d/gems/gems/eventmachine-1.0.7 for inspection.
Results logged to /Users/buddy/.vagrant.d/gems/gems/eventmachine-1.0.7/ext/gem_make.out
 
~/dev/openshift/vagrant-ose
17:38 $

you can fix this by running it with the correct Environment Variable:

17:44 $ CPLUS_INCLUDE_PATH=/usr/local/opt/openssl/include vagrant plugin install landrush
Installing the 'landrush' plugin. This can take a few minutes...
Installed the plugin 'landrush (0.15.3)'!

Leave a Comment

This site uses Akismet to reduce spam. Learn how your comment data is processed.

%d bloggers like this: